//	by EvilJess aka Jeffrey Bakker 2004

//	New or modified code (C)2004 Jeffrey Bakker <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2003 Copyright  2002 Epic Games, Inc.
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	BinStaGib - InstaGib meets BinSlayer
//	Copyright (C) 2004  Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class Binsta extends Weapon;

#exec TEXTURE IMPORT NAME=TexBinsta FILE=Textures\TexBinsta.tga GROUP=Skins FLAGS=2 LODSET=LODSET_WeaponSkin
#exec TEXTURE IMPORT NAME=TexBinstaB FILE=Textures\TexBinstaB.tga GROUP=Skins FLAGS=2 LODSET=LODSET_WeaponSkin

function PrebeginPlay()
{
	if ( (Instigator.PlayerReplicationInfo.Team != None) && (Instigator.PlayerReplicationInfo.Team.TeamIndex == 1) )
	{
		Skins[0]=Texture'BinStaGib04.Skins.TexBinstaB';
		Skins[1]=Texture'BinStaGib04.Skins.TexBinstaB';
	}
	Super.PreBeginPlay();
}

simulated function float ChargeBar()
{
//	return FMin(1,FireMode[1].HoldTime/DeathSphere(FireMode[1]).mHoldClampMax);

	if(DeathSphere(FireMode[1]).bDeathReady) return 1;
	else	return 0;
}

simulated event RenderOverlays( Canvas Canvas )
{
	local PlayerController PCtrl;

	Super.RenderOverlays(Canvas);
	PCtrl = PlayerController(Instigator.Controller);

	Canvas.Style = ERenderStyle.STY_Translucent;
	Canvas.bNoSmooth = false;
	Canvas.DrawColor.R = 100;
	Canvas.DrawColor.G = 100;
	Canvas.DrawColor.B = 100;

	Canvas.SetPos(92,154);
	Canvas.DrawText("(C)2004 EvilJess");
	Canvas.SetPos(92,166);
	Canvas.DrawText("www.damnclan.com");
	Canvas.SetPos(92,178);

//	if(	DeathSphere(FireMode[1]).SMin +
//		DeathSphere(FireMode[1]).HoldTime *
//		DeathSphere(FireMode[1]).SGain <
//		DeathSphere(FireMode[1]).SMax
//	)
	if(!DeathSphere(FireMode[1]).bDeathReady)
		Canvas.DrawText("Explosive Unarmed");
	else
		Canvas.DrawText("Explosive ARMED");

	Canvas.DrawColor.R = 255;
	Canvas.DrawColor.G = 0;
	Canvas.DrawColor.B = 0;

	Canvas.SetPos(-16,98);
	Canvas.DrawIcon(Texture'EvilIcon', 1);

	Canvas.DrawColor.R = 128;
	Canvas.DrawColor.G = 0;
	Canvas.DrawColor.B = 0;

	Canvas.SetPos(92,130);
	Canvas.Font = PCtrl.MyHud.LargerFontThan(Canvas.Font);
	Canvas.DrawText(ItemName);
}

/* BestMode()
choose between regular or alt-fire
*/
function byte BestMode()
{
	return 0;
}

function float SuggestAttackStyle()
{
    return 0;
}

function float SuggestDefenseStyle()
{
    return 2;
}

function float RangedAttackTime()
{
	return 6;
}

function bool RecommendRangedAttack()
{ 
	return true;
}

function bool RecommendLongRangedAttack()
{ 
	return true;
}

function float GetAIRating()
{
	return 1.000000;
}

defaultproperties
{
 ItemName="BinStaGib Rifle"
// Description=""
 FireModeClass(0)=Class'BinStaGib04.DeathFire'
 FireModeClass(1)=Class'BinStaGib04.DeathSphere'
 PickupClass=None
 AttachmentClass=Class'BinStaGib04.BinstAttachment'
 SelectSound=Sound'WeaponSounds.TAGRifle.TAGFireB'

 Mesh=SkeletalMesh'Weapons.Painter_1st'
 Skins(0)=Texture'BinStaGib04.Skins.TexBinsta'
 Skins(1)=Texture'BinStaGib04.Skins.TexBinsta'
 HighDetailOverlay=Combiner'UT2004Weapons.WeaponSpecMap2'

 DisplayFOV=60.000000
 EffectOffset=(X=100.000000,Y=25.000000,Z=-3.000000)
 CenteredOffsetY=-22.000000
 CenteredRoll=1000
 PlayerViewOffset=(X=25.000000,Y=2.000000,Z=-1.000000)
 BobDamping=1.575000

 bShowChargingBar=True
 bCanThrow=False
 Priority=27
 InventoryGroup=0
}
