//	by EvilJess aka Jeffrey Bakker 2004

//	New or modified code (C)2004 Jeffrey Bakker <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2003 Copyright  2002 Epic Games, Inc.
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	BinStaGib - InstaGib meets BinSlayer
//	Copyright (C) 2004  Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


class MutBinStaGibXtArena extends Mutator;

function string RecommendCombo(string ComboName)
{
	return Super.RecommendCombo("XGame.ComboBerserk");
}

function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {

	bSuperRelevant = 0;

	if (Other.isA('xPawn')) {

		xPawn(Other).RequiredEquipment[0] = "BinStaGib04.BinstaXt";
		xPawn(Other).RequiredEquipment[1] = "None";
	}

	if(Other.IsA('TournamentPickup') && !Other.IsA('Lust')) {
		ReplaceWith( Other, "BinStaGib04.LustXt");
		return false;
	}

	if((Weapon(Other) != None)) {
		if(Other.IsA('BallLauncher')) {
			return true;
		}
	} else if(Other.isA('ShieldGun')) {
		return false;
	} else if(Other.isA('UTWeaponPickup')) {
		return false;
	} else if(UTAmmoPickup(Other) != None) {
		return false;
	}

	return true;
}

defaultproperties
{
	GroupName="Arena"
	DefaultWeaponName="BinStaGib04.BinstaXt"
	FriendlyName="BinStaGib Extreme Arena"
	Description="Two weapon-based fighting worlds collide. BinSlayer meets InstaGib. Extreme turns alt-fire into a kamakaze weapon, as well as preferred deathstorms (berserk) for bot combos and yet more adrenaline to add to the intensity.||By EvilJess aka Jeffrey Bakker|http://evil.damnclan.com"
}
